Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## schedule
Class TaskContainer

    java.lang.Object
      schedule.TaskContainer

    public class TaskContainer

extends java.lang.Object

Container storing configuration parameters of scheduled tasks.

Constructor Summary
`TaskContainer(java.lang.String taskName, java.lang.String taskParam, java.lang.String taskTime)` Constructor takes arguments representing schedulable task and stores them in internal variables.
`TaskContainer(java.lang.String taskName, java.lang.String taskParam, java.lang.String taskTime, java.lang.Long notAfter)`

Method Summary
`java.lang.String` | `getName()` Returns name or type of task based on which exact operation can be scheduled.
`java.lang.String` | `getNotAfter()`
`java.lang.String` | `getParam()` Arguments of task serialized into string.
`java.lang.String` | `getTime()` Concatedaned string representing time of execution.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskContainer

    public TaskContainer(java.lang.String taskName,
                         java.lang.String taskParam,
                         java.lang.String taskTime)

  Constructor takes arguments representing schedulable task and stores them in internal variables. Format of any parameter is not checked.

  Parameters:
    `taskName` - name of task
    `taskParam` - parameters of task
    `taskTime` - execution time
  See Also:
    `ScheduleConfigManager`

### TaskContainer

    public TaskContainer(java.lang.String taskName,
                         java.lang.String taskParam,
                         java.lang.String taskTime,
                         java.lang.Long notAfter)

Method Detail

### getName

    public java.lang.String getName()

  Returns name or type of task based on which exact operation can be scheduled.

  Returns:
    String name of task.

### getParam

    public java.lang.String getParam()

  Arguments of task serialized into string. Exact format of this string depends on type of task.

  Returns:
    string storing serialized parameters

### getTime

    public java.lang.String getTime()

  Concatedaned string representing time of execution. For exact syntax see ScheduleConfigManager.

  Returns:
    string serialization of time
  See Also:
    `ScheduleConfigManager`

### getNotAfter

    public java.lang.String getNotAfter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD